package com.sensetime.demo.bean;

import android.graphics.Bitmap;

public class ImageResult {

    private long traceId;

    private Bitmap faceImage;
    private Bitmap faceBgImage;
    private Bitmap otherImage;

    public long getTraceId() {

        return traceId;
    }

    public void setTraceId(long traceId) {

        this.traceId = traceId;
    }

    public Bitmap getFaceImage() {

        return faceImage;
    }

    public void setFaceImage(Bitmap faceImage) {

        this.faceImage = faceImage;
    }

    public Bitmap getFaceBgImage() {

        return faceBgImage;
    }

    public void setFaceBgImage(Bitmap faceBgImage) {

        this.faceBgImage = faceBgImage;
    }

    public Bitmap getOtherImage() {

        return otherImage;
    }

    public void setOtherImage(Bitmap otherImage) {

        this.otherImage = otherImage;
    }

    @Override
    public String toString() {

        return "ImageResult{" +
                "traceId=" + traceId +
                ", faceImage=" + faceImage +
                ", faceBgImage=" + faceBgImage +
                ", otherImage=" + otherImage +
                '}';
    }
}
